using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.FilterCommandName)
        {
            Pair command = (Pair)e.CommandArgument;
            if (command.Second.ToString() == "CategoryddColumn")
            {
                e.Canceled = true;
                GridFilteringItem filter = (GridFilteringItem)e.Item;
                ((filter["CategoryName"].Controls[0]) as TextBox).Text = ((filter["CategoryddColumn"].Controls[0]) as TextBox).Text;
                command.Second = "CategoryName";
                filter.FireCommandEvent("Filter", new Pair(command.First, "CategoryName"));
            }
        }
    }
  
}
